Subject: Re: Git blame only current branch

From: "Frans Klaver" <[email-masked]>
Date: Tue, 13 Dec 2011 15:18:31 +0100

On Tue, 13 Dec 2011 15:09:56 +0100, Vijay Lakshminarayanan  
<[email-masked]> wrote:

> Junio C Hamano <[email-masked]> writes:
>
>> Vijay Lakshminarayanan <[email-masked]> writes:
>>
>>> The code reads fine when there's no numeral 1 around but now it doesn't
>>> read well.  I think refactoring
>>>
>>>     struct commit_list *l
>>>
>>> to
>>>
>>>     struct commit_list *lst
>>>
>>> is justified.  Thoughts?
>>
>> Not justified at all.
>>
>> What is "lst" and why is it not spelled "list"?  It is a disease to drop
>> vowels when you do not have to.
>
> lst is better than l in this particular context.  I think fried_chicken
> is better than l in this particular context ;-)

I tend to agree. If you casually look over the code it may look odd, and  
with several monospace fonts there really isn't a very big difference  
between 1?1:0 and l?1:0. You shouldn't have to squint to properly see the  
intention of the code.

If there's going to be a rename, there is no reason to leave out the i  
though.